你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn。

Workload Groups - Create Or Update

创建或更新工作负荷组。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/workloadGroups/{workloadGroupName}?api-version=2025-01-01

URI 参数

名称 在 必需 类型 说明
databaseName
path True

string

数据库的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

serverName
path True

string

服务器的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

workloadGroupName
path True

string

工作负荷组的名称。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

请求正文

名称 必需 类型 说明
properties.maxResourcePercent True

integer (int32)

工作负荷组上限百分比资源。

properties.minResourcePercent True

integer (int32)

工作负荷组最小百分比资源。

properties.minResourcePercentPerRequest True

number (double)

工作负荷组请求最小授予百分比。

properties.importance

string

工作负荷组重要性级别。

properties.maxResourcePercentPerRequest

number (double)

工作负荷组请求最大授予百分比。

properties.queryExecutionTimeout

integer (int32)

工作负荷组查询执行超时。

响应

名称 类型 说明
200 OK

WorkloadGroup

资源“工作负载组”更新操作成功

201 Created

WorkloadGroup

资源“工作负载组”创建操作成功

标头

  • Location: string
  • Retry-After: integer
202 Accepted

已接受资源作。

标头

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

意外的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Create a workload group with all properties specified.
Create a workload group with the required properties specified.

Create a workload group with all properties specified.

示例请求

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc?api-version=2025-01-01

{
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}

示例响应

{
  "name": "smallrc",
  "type": "Microsoft.Sql/servers/databases/workloadGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}
{
  "name": "smallrc",
  "type": "Microsoft.Sql/servers/databases/workloadGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}

Create a workload group with the required properties specified.

示例请求

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc?api-version=2025-01-01

{
  "properties": {
    "maxResourcePercent": 100,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3
  }
}

示例响应

{
  "name": "smallrc",
  "type": "Microsoft.Sql/servers/databases/workloadGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}
{
  "name": "smallrc",
  "type": "Microsoft.Sql/servers/databases/workloadGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

systemData

与创建和上次修改资源相关的元数据。

WorkloadGroup

数据仓库的工作负荷组作

createdByType

创建资源的标识的类型。

值 说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。

WorkloadGroup

数据仓库的工作负荷组作

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.importance

string

工作负荷组重要性级别。

properties.maxResourcePercent

integer (int32)

工作负荷组上限百分比资源。

properties.maxResourcePercentPerRequest

number (double)

工作负荷组请求最大授予百分比。

properties.minResourcePercent

integer (int32)

工作负荷组最小百分比资源。

properties.minResourcePercentPerRequest

number (double)

工作负荷组请求最小授予百分比。

properties.queryExecutionTimeout

integer (int32)

工作负荷组查询执行超时。

systemData

systemData

Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。

type

string

资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户”